<div *ngIf="!isOpenAssigness">
  <div class="modal-header">
      <button type="button" class="close" (click)="close()">
        &times;
      </button>
      <h4 class="modal-title">Add Assingees</h4>
  </div>
  <div class="modal-body">
    <form
      class="clearfix"
      id="form-filter"
      [formGroup]="searchForm"
      (ngSubmit)="search()"
    >
      <div class="form-group">
        <label>Employee</label>
        <input
          type="text"
          class="form-control"
          formControlName="search_employee"
          tabindex="1"
        />
      </div>
      <button type="submit" class="btn btn-outline blue" tabindex="3">
        <i class="icon-magnifier"></i>Search
      </button>
    </form>
    <table class="table table-expand">
      <thead>
        <tr>
          <th scope="col">.</th>
          <th scope="col">Code</th>
          <th scope="col">Name</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let employee of listEmployee; let i = index">
          <td scope="row">
            <input
              type="checkbox"
              [id]="employee?.emp_id"
              [value]="employee?.name"
              (change)="changeChecked($event)"
            />
          </td>
          <td>{{ employee.emp_id }}</td>
          <td>{{ employee.name }}</td>
        </tr>
      </tbody>
    </table>
    <div class="list-bottom">
      <div class="pull-right">
        <wms-pagination
          [perPage]="perPage"
          (pageChange)="pageChange($event)"
          [pagingData]="pagination"
        >
        </wms-pagination>
      </div>
    </div>
  </div>
  <div class="modal-footer text-right">
    <button
      type="button"
      class="btn btn-default"
      data-dismiss="modal"
      (click)="close()"
    >
      Close
    </button>
    <button type="button" (click)="add()" class="btn btn-primary">
      Add
    </button>
  </div>
</div>
<div *ngIf="isOpenAssigness">
    <div class="modal-header">
        <button type="button" class="close" (click)="close()">
          &times;
        </button>
        <h4 class="modal-title">Add Assingees</h4>
    </div>
  <div class="modal-body">
    <table class="table table-expand">
      <thead>
        <tr>
          <th scope="col">.</th>
          <th scope="col">Code</th>
          <th scope="col">Name</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let employee of assigness.values(); let i = index">
          <td scope="row">
            <input
              type="checkbox"
              [id]="employee?.emp_id"
              [value]="employee?.name"
              (change)="changeCheckedRemove($event)"
              [disabled]="isView"
            />
          </td>
          <td class="col-xs-5">{{ employee.emp_id }}</td>
          <td class="col-xs-6">{{ employee.name }}</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="modal-footer text-right">
    <button
      type="button"
      class="btn btn-default"
      data-dismiss="modal"
      (click)="close()"
    >
      Close
    </button>
    <button
      *ngIf="!isView"
      type="button"
      (click)="remove()"
      class="btn btn-primary"
    >
      Remove
    </button>
  </div>
</div>
